• Основы Ansible, без которых ваши плейбуки — комок слипшихся макарон
    0

    Да, а теперь уже поздно?

  • Отказываемся от платных RPA платформ и базируемся на OpenSource (OpenRPA)
    0

    Пишите туториал — посмотрел на репозиторий — проведена неплохая работа по документированию, но для "Хелло-Уорлд", кажется примера нет. Так что ждем! Спасибо !

  • FabEx — block explorer для Hyperledger Fabric
    0

    vadiminshakov А подскажите, что с общим размером — леджер и база FabEx хранится на пире и по-сути леджер дублируется в базу FabEx ?

  • Практическое руководство по разработке бэкенд-сервиса на Python
    +1

    Пообщался в переписке с автором alvassin — если производить запуск 3 команды (на одном хосте) и дополнением --network host — все заработает:


    3. docker run -it  --network host \
    -e ANALYZER_PG_URL=postgresql://user:hackme@localhost/analyzer \
    alvassin/backendschool2019 analyzer-db upgrade head

    Аналогично для запуска приложения:


    4. docker run -it -p 8081:8081 --network host -e ANALYZER_PG_URL=postgresql://user:hackme@localhost/analyzer alvassin/backendschool2019

    5. http://0.0.0.0:8081 в браузере

    и видна swagger документация сервиса

  • Практическое руководство по разработке бэкенд-сервиса на Python
    0
    С удовольствием прослушал курс бэк-энд разработчика, попал на эту публикацию и решил собрать сервис.
    1. make postgres
    2. make docker
    3. docker run -it \
    -e ANALYZER_PG_URL=postgresql://user:hackme@localhost/analyzer \
    alvassin/backendschool2019 analyzer-db upgrade head
    — и это пока последняя команда:
    Потому что результаты:
    Ошибка присоединения к Postgres
    Traceback (most recent call last):
      File "/usr/share/python3/app/lib/python3.8/site-packages/sqlalchemy/engine/base.py", line 2285, in _wrap_pool_connect
        return fn()
      File "/usr/share/python3/app/lib/python3.8/site-packages/sqlalchemy/pool/base.py", line 303, in unique_connection
        return _ConnectionFairy._checkout(self)
      File "/usr/share/python3/app/lib/python3.8/site-packages/sqlalchemy/pool/base.py", line 773, in _checkout
        fairy = _ConnectionRecord.checkout(pool)
      File "/usr/share/python3/app/lib/python3.8/site-packages/sqlalchemy/pool/base.py", line 492, in checkout
        rec = pool._do_get()
      File "/usr/share/python3/app/lib/python3.8/site-packages/sqlalchemy/pool/impl.py", line 238, in _do_get
        return self._create_connection()
      File "/usr/share/python3/app/lib/python3.8/site-packages/sqlalchemy/pool/base.py", line 308, in _create_connection
        return _ConnectionRecord(self)
      File "/usr/share/python3/app/lib/python3.8/site-packages/sqlalchemy/pool/base.py", line 437, in __init__
        self.__connect(first_connect_check=True)
      File "/usr/share/python3/app/lib/python3.8/site-packages/sqlalchemy/pool/base.py", line 657, in __connect
        pool.logger.debug("Error on connect(): %s", e)
      File "/usr/share/python3/app/lib/python3.8/site-packages/sqlalchemy/util/langhelpers.py", line 68, in __exit__
        compat.raise_(
      File "/usr/share/python3/app/lib/python3.8/site-packages/sqlalchemy/util/compat.py", line 178, in raise_
        raise exception
      File "/usr/share/python3/app/lib/python3.8/site-packages/sqlalchemy/pool/base.py", line 652, in __connect
        connection = pool._invoke_creator(self)
      File "/usr/share/python3/app/lib/python3.8/site-packages/sqlalchemy/engine/strategies.py", line 114, in connect
        return dialect.connect(*cargs, **cparams)
      File "/usr/share/python3/app/lib/python3.8/site-packages/sqlalchemy/engine/default.py", line 488, in connect
        return self.dbapi.connect(*cargs, **cparams)
      File "/usr/share/python3/app/lib/python3.8/site-packages/psycopg2/__init__.py", line 126, in connect
        conn = _connect(dsn, connection_factory=connection_factory, **kwasync)
    psycopg2.OperationalError: could not connect to server: Connection refused
            Is the server running on host "localhost" (127.0.0.1) and accepting
            TCP/IP connections on port 5432?
    could not connect to server: Cannot assign requested address
            Is the server running on host "localhost" (::1) and accepting
            TCP/IP connections on port 5432?
    
    
    The above exception was the direct cause of the following exception:
    
    Traceback (most recent call last):
      File "/usr/local/bin/analyzer-db", line 11, in <module>
        load_entry_point('analyzer==0.0.1', 'console_scripts', 'analyzer-db')()
      File "/usr/share/python3/app/lib/python3.8/site-packages/analyzer/db/__main__.py", line 32, in main
        exit(alembic.run_cmd(config, options))
      File "/usr/share/python3/app/lib/python3.8/site-packages/alembic/config.py", line 546, in run_cmd
        fn(
      File "/usr/share/python3/app/lib/python3.8/site-packages/alembic/command.py", line 298, in upgrade
        script.run_env()
      File "/usr/share/python3/app/lib/python3.8/site-packages/alembic/script/base.py", line 489, in run_env
        util.load_python_file(self.dir, "env.py")
      File "/usr/share/python3/app/lib/python3.8/site-packages/alembic/util/pyfiles.py", line 98, in load_python_file
        module = load_module_py(module_id, path)
      File "/usr/share/python3/app/lib/python3.8/site-packages/alembic/util/compat.py", line 173, in load_module_py
        spec.loader.exec_module(module)
      File "<frozen importlib._bootstrap_external>", line 783, in exec_module
      File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
      File "/usr/share/python3/app/lib/python3.8/site-packages/analyzer/db/alembic/env.py", line 79, in <module>
        run_migrations_online()
      File "/usr/share/python3/app/lib/python3.8/site-packages/analyzer/db/alembic/env.py", line 67, in run_migrations_online
        with connectable.connect() as connection:
      File "/usr/share/python3/app/lib/python3.8/site-packages/sqlalchemy/engine/base.py", line 2218, in connect
        return self._connection_cls(self, **kwargs)
      File "/usr/share/python3/app/lib/python3.8/site-packages/sqlalchemy/engine/base.py", line 103, in __init__
        else engine.raw_connection()
      File "/usr/share/python3/app/lib/python3.8/site-packages/sqlalchemy/engine/base.py", line 2317, in raw_connection
        return self._wrap_pool_connect(
      File "/usr/share/python3/app/lib/python3.8/site-packages/sqlalchemy/engine/base.py", line 2288, in _wrap_pool_connect
        Connection._handle_dbapi_exception_noconnection(
      File "/usr/share/python3/app/lib/python3.8/site-packages/sqlalchemy/engine/base.py", line 1554, in _handle_dbapi_exception_noconnection
        util.raise_(
      File "/usr/share/python3/app/lib/python3.8/site-packages/sqlalchemy/util/compat.py", line 178, in raise_
        raise exception
      File "/usr/share/python3/app/lib/python3.8/site-packages/sqlalchemy/engine/base.py", line 2285, in _wrap_pool_connect
        return fn()
      File "/usr/share/python3/app/lib/python3.8/site-packages/sqlalchemy/pool/base.py", line 303, in unique_connection
        return _ConnectionFairy._checkout(self)
      File "/usr/share/python3/app/lib/python3.8/site-packages/sqlalchemy/pool/base.py", line 773, in _checkout
        fairy = _ConnectionRecord.checkout(pool)
      File "/usr/share/python3/app/lib/python3.8/site-packages/sqlalchemy/pool/base.py", line 492, in checkout
        rec = pool._do_get()
      File "/usr/share/python3/app/lib/python3.8/site-packages/sqlalchemy/pool/impl.py", line 238, in _do_get
        return self._create_connection()
      File "/usr/share/python3/app/lib/python3.8/site-packages/sqlalchemy/pool/base.py", line 308, in _create_connection
        return _ConnectionRecord(self)
      File "/usr/share/python3/app/lib/python3.8/site-packages/sqlalchemy/pool/base.py", line 437, in __init__
        self.__connect(first_connect_check=True)
      File "/usr/share/python3/app/lib/python3.8/site-packages/sqlalchemy/pool/base.py", line 657, in __connect
        pool.logger.debug("Error on connect(): %s", e)
      File "/usr/share/python3/app/lib/python3.8/site-packages/sqlalchemy/util/langhelpers.py", line 68, in __exit__
        compat.raise_(
      File "/usr/share/python3/app/lib/python3.8/site-packages/sqlalchemy/util/compat.py", line 178, in raise_
        raise exception
      File "/usr/share/python3/app/lib/python3.8/site-packages/sqlalchemy/pool/base.py", line 652, in __connect
        connection = pool._invoke_creator(self)
      File "/usr/share/python3/app/lib/python3.8/site-packages/sqlalchemy/engine/strategies.py", line 114, in connect
        return dialect.connect(*cargs, **cparams)
      File "/usr/share/python3/app/lib/python3.8/site-packages/sqlalchemy/engine/default.py", line 488, in connect
        return self.dbapi.connect(*cargs, **cparams)
      File "/usr/share/python3/app/lib/python3.8/site-packages/psycopg2/__init__.py", line 126, in connect
        conn = _connect(dsn, connection_factory=connection_factory, **kwasync)
    sqlalchemy.exc.OperationalError: (psycopg2.OperationalError) could not connect to server: Connection refused
            Is the server running on host "localhost" (127.0.0.1) and accepting
            TCP/IP connections on port 5432?
    could not connect to server: Cannot assign requested address
            Is the server running on host "localhost" (::1) and accepting
            TCP/IP connections on port 5432?
    
    (Background on this error at: http://sqlalche.me/e/e3q8)
    
    


    Посмотрел sudo netstat -tupln
     Proto Recv-Q Send-Q Local Address           Foreign Address         State       PID/Program name
    tcp        0      0 127.0.0.1:46624         0.0.0.0:*               LISTEN      6645/kited      
    tcp        0      0 127.0.0.1:46601         0.0.0.0:*               LISTEN      6929/code       
    tcp        0      0 192.168.122.1:53        0.0.0.0:*               LISTEN      5020/dnsmasq    
    tcp        0      0 10.75.69.1:53           0.0.0.0:*               LISTEN      3251/dnsmasq    
    tcp        0      0 127.0.1.1:53            0.0.0.0:*               LISTEN      2476/dnsmasq    
    tcp        0      0 127.0.0.1:631           0.0.0.0:*               LISTEN      16677/cupsd     
    tcp6       0      0 :::8081                 :::*                    LISTEN      4938/docker-proxy
    tcp6       0      0 fd42:c2ba:2d3b:518e::53 :::*                    LISTEN      3251/dnsmasq    
    tcp6       0      0 fe80::b8bb:caff:fe06:53 :::*                    LISTEN      3251/dnsmasq    
    tcp6       0      0 ::1:631                 :::*                    LISTEN      16677/cupsd     
    tcp6       0      0 :::5432                 :::*                    LISTEN      25651/docker-proxy
    ,,,
    


    Не видно tcp4 — но ведь все сделано, как Васин рассказал ;-)
    Оба контейра живы, docker run alvassin/backendschool2019 analyzer-db --help — работает
    Postgres-контейнер тоже
    Хоть это вне архитектуры приложения — но как-то потерял несколько часов — не могу понять, почему не устанавливается соединение.
    Спасибо заранее
  • Как научиться разработке на Python: новый видеокурс Яндекса
    +1

    Ясно, что это первичный курс ;-) По крайней мере для меня. Но вот вопросики для самопроверки, которые были на курсе, наверное, были бы неплохим бонусом для тех, кто решил прослушать. Если как-то возможно — то заранее спасибо !

  • Гайд по автоматическому аудиту смарт-контрактов. Часть 2: Slither
    +1

    Автор, жги! Действительно, если не закопаться по самые гланды и при этом не прочитать кучу спама и скама, найти что-то куммулятивно стоящее по разработке в EVM — трудно. Или мне так кажется? Во всяком случае — есть возможность более продуктивно потратить свое время. А тут — в общем и по делу.

  • Николай Дуров на 90% закончил разработку платформы Telegram Open Network
    0

    alizar А что, несмотря на третью статью найти whitepaper или другие официальные источники о предмете статьи так и не удалось?


    По замыслу создателей, в Telegram будет интегрирован самый удобный крипто-кошелек. >Light Wallet будет использовать минимальные ресурсы, будучи защищённым ключами >шифрования и продублированым в блокчейне TON. В вайтпепере заявляют, что он станет >самым популярным в мире из-за простоты использования.
  • Николай Дуров на 90% закончил разработку платформы Telegram Open Network
    0

    Мило :-)))))

  • Курс лекций по JavaScript и Node.js в КПИ
    0

    Хороший подарок к праздникам !

  • Azure понятным языком [Шпаргалка]
    0

    Не рискну проводить полный разбор ваших замечаний — за неимением времени -, однако прекрасное средство на развертывания микросервисов — аналог Service Fabric — Container Engine из Google Cloud Platform, в котором разворачиватеся Kubernetes — продукт разработки Google. Впрочем, вне всякого сомнения, Kubernetes настолько универсален, что можно разворачивать и на собственных ресурсах и даже "кластеризовать" на одном компьютере ;-)

  • Техподдержка в эпоху DevOps
    0

    Полагаю, разговор идет о том из-за отсутствия оперативной поставки информации о логических ошибках, которые зачастую видят пользователи, в традиционной схеме обновления программного обеспечения осуществляются по схеме "один раз в неделю по четвергам". Связано это с тем, что ПО обновляется, а потом, в течении недели идут патчи к введенным фичам.
    DevOps же — это устойчивая поставка обновлений ПО до нескольких раз в день. Поэтому есть сильное желание также получать информацию о прекращении работы фичи возможно более оперативней. Чтобы одни логические ошибки не наслаивались на другие.
    А в общем да, разговор идет скорее о FastSupport ;-)

  • Погружение в технологию блокчейн: Инфраструктура публичных ключей всемирного масштаба
    0

    Не допонял (может быть, не вычитал):


    Администратор группы доступа к ресурсу может создать ACL (access control list, список контроля доступа)

    Записи NVS по всей Emer-сети одинаковы. Как определяется в NVS ресурс, на который осуществляется доступ с помощью извлекаемого публичного ключа ?

  • Как полюбить mbed, а потом дважды облажаться
    +2
    Да, на разработку MBED я уже давно обратил внимание, все не было времени посмотреть в чем там сила. Спасибо автору — даже не просто «посмотрел»